<div class="modal-content" ngbAutofocus>
    <div class="modal-header">
        <div class="modal-title h4" id="example-modal-sizes-title-lg">
            <ng-container>

                Add New State
            </ng-container>
        </div>
    </div>
    <div class="modal-body">

        <ng-container>
            <form action="#" class="form form-label-right" [formGroup]="createFormGroup">
                <!-- begin::Alert error-->
                <!-- <ng-container *ngIf="hasError">
                    <div class="mb-lg-15 alert alert-danger">
                        <div class="alert-text font-weight-bold">
                            {{addStateService.errorMessageValue$}}
                        </div>
                    </div>
                </ng-container> -->
                <!-- end::Alert error-->


                <ng-container *ngIf="addStateService.isLoadingValue$">
                    <div class="overlay-layer bg-transparent">
                        <div class="spinner spinner-lg spinner-success"></div>
                    </div>
                </ng-container>

                <div class="form-group">
                    <div class="row skrm-row-margin-bottom-15px">
                        <div class="col-lg-12">
                            <label class="form-label">Enter State Name</label>
                            <input type="text" class="form-control form-control-lg form-control-solid" name="name"
                                placeholder="State Name" autocomplete="off"
                                [class.is-invalid]="isControlInvalid('name')" [class.is-valid]="isControlValid('name')"
                                formControlName="name" />
                            <div class="valid-feedback" *ngIf="isControlValid('name')">
                                State name was entered correct
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('required', 'name')">
                                State name is required
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('pattern', 'name')">
                                State name pattern is invalid
                            </div>

                        </div>
                    </div>

                    <div class="row skrm-row-margin-bottom-15px">
                        <div class="col-lg-12">
                            <label class="form-label">Select Country</label>
                            <select class="form-select form-select-solid form-select-lg fw-bold" name="countryId"
                                [class.is-invalid]="isControlInvalid('countryId')"
                                [class.is-valid]="isControlValid('countryId')" formControlName="countryId">
                                <option value="" selected>Select a Country...</option>
                                
                                <option [value]="item.dataValue" *ngFor="let item of countryDropdownList;">{{item.dataText}}</option>
                            </select>

                            

                            <div class="invalid-feedback" *ngIf="controlHasError('required', 'countryId')">
                                Country is required
                            </div>
                        </div>
                    </div>
       
                </div>
            </form>
        </ng-container>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-light btn-sm btn-elevate mr-2" (click)="modal.dismiss()">
            Cancel
        </button>
        <ng-container>
            <button type="submit" class="btn btn-success btn-sm btn-elevate" (click)="save()"
                [disabled]="createFormGroup.invalid">
                <ng-container *ngIf="!addStateService.isLoadingValue$">Create</ng-container>
                <ng-container *ngIf="addStateService.isLoadingValue$">
                    <span clas="indicator-progress" [style.display]="'block'">
                        Please wait...{{ " " }}
                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                    </span>
                </ng-container>
            </button>
        </ng-container>
    </div>
</div>